import { get, post } from "./http";

const prefix = 'devicesApi/dawn/api/v1/';

export default apiWallets = {
  /**
   * 获取用户钱包列表
   * @returns Promise
   */
  getWalletsInfo() {
    return get(prefix + "user/payment-methods", {})
  },
  /**
   * 获取指定钱包的交易历史记录
   * @param {*} data {latestPk,walletTypeCode}
   * @returns Promise
   */
  getTransactionList(data) {
    return get(prefix + "user/transaction-histories", data)
  }
}